cdac.medinfo.sdk.hl7282.baselibs.segments

## Class BTX

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.BTX

- All Implemented Interfaces:
    ISegment

      public class BTX
      extends Segment

  BTX - Blood Product Transfusion/Disposition Segment.

  Represents an HL7 BTX message segment. This segment has the following fields:

  BTX-1: Set ID _ BTX (SI)Required
  BTX-2: BC Donation ID (EI)Conditional
  BTX-3: BC Component (CNE)Conditional
  BTX-4: BC Blood Group (CNE)Conditional
  BTX-5: CP Commercial Product (CWE)Conditional
  BTX-6: CP Manufacturer (XON)Conditional
  BTX-7: CP Lot Number (EI)Conditional
  BTX-8: BP Quantity (NM)Required
  BTX-9: BP Amount (NM)Optional
  BTX-10: BP Units (CWE)Optional
  BTX-11: BP Transfusion/Disposition Status (CWE)Required
  BTX-12: BP Message Status (ID)Required
  BTX-13: BP Date/Time of Status (DTM)Required
  BTX-14: BP Administrator (XCN)Optional
  BTX-15: BP Verifier (XCN)Optional
  BTX-16: BP Transfusion Start Date/Time of Status (DTM)Optional
  BTX-17: BP Transfusion End Date/Time of Status (DTM)Optional
  BTX-18: BP Adverse Reaction Type (CWE)Optional
  BTX-19: BP Transfusion Interrupted Reason (CWE)Optional
  BTX-20: BP Unique ID (EI)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BTX()` Constructs the BTX segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBPAdverseReactionType(CWE objbpAdverseReactionType)` Add the Bp Adverse Reaction Type.
    `void` | `addBPAdverseReactionType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Bp Adverse Reaction Type.
    `CNE` | `getBcBloodGroup()` Retrieves the Bc Blood Group.
    `CNE` | `getBcComponent()` Retrieves the Bc Component.
    `EI` | `getBcDonationID()` Retrieves the Bc Donation ID This field specify the unique identification number assigned to a blood donation.
    `ISingleCollection<CWE>` | `getBpAdverseReactionType()` Retrieves the Bp Adverse Reaction Type.
    `NM` | `getBpAmount()` Retrieves the Bp Amount.
    `DTM` | `getBpDateTimeOfStatus()` Retrieves the Bp Date Time Of Status.
    `ID` | `getBpMessageStatus()` Retrieves the BP Message Status.
    `NM` | `getBpQuantity()` Retrieves the Bp Quantity.
    `XCN` | `getBpTransfusionAdministrator()` Retrieves the Bp Transfusion Administrator.
    `CWE` | `getBpTransfusionDispositionStatus()` Retrieves the Bp Transfusion Disposition Status.
    `DTM` | `getBpTransfusionEndDTofStatus()` Retrieves the Bp Transfusion End DT of Status.
    `CWE` | `getBpTransfusionInterruptedReason()` Retrieves the Bp Transfusion Interrupted Reason.
    `DTM` | `getBpTransfusionStartDTofStatus()` Retrieves the Bp Transfusion Start DT of Status.
    `XCN` | `getBpTransfusionVerifier()` Retrieves the Bp Transfusion Verifier.
    `EI` | `getBPUniqueID()` Retrieves the BP Unique ID.
    `CWE` | `getBpUnits()` Retrieves the Bp Units.
    `CWE` | `getCpCommercialProduct()` Retrieves the Cp Commercial Product This field identify a commercial product.
    `EI` | `getCpLotNumber()` Retrieves the Cp Lot Number.
    `XON` | `getCpManufacturer()` Retrieves the Cp Manufacturer.
    `SI` | `getSetID_BTX()` Retrieves the Set ID BTX.
    `void` | `setBCBloodGroup(CNE objbcBloodGroup)` Set the Bc Blood Group.
    `void` | `setBCBloodGroup(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Bc Blood Group.
    `void` | `setBCComponent(CNE objbcComponent)` Set the Bc Component.
    `void` | `setBCComponent(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Bc Component.
    `void` | `setBCDonationID(EI objbcDonationID)` Set the Bc Donation ID This field specify the unique identification number assigned to a blood donation.
    `void` | `setBCDonationID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Bc Donation ID This field specify the unique identification number assigned to a blood donation.
    `void` | `setBPAdverseReactionType(ISingleCollection<CWE> objbpAdverseReactionTypeList)` Set the Bp Adverse Reaction Type.
    `void` | `setBPAmount(NM objbpAmount)` Set the Bp Amount.
    `void` | `setBPAmount(java.lang.String strBPAmount)` Set the Bp Amount.
    `void` | `setBPDateTimeOfStatus(DTM objbpDateTimeOfStatus)` Set the Bp Date Time Of Status.
    `void` | `setBPDateTimeOfStatus(java.lang.String strTime)` Set the Bp Date Time Of Status.
    `void` | `setBPMessageStatus(ID objbpMessageStatus)` Set the BP Message Status.
    `void` | `setBPMessageStatus(java.lang.String strBPMessageStatus)` Set the BP Message Status.
    `void` | `setBPQuantity(NM objbpQuantity)` Set the Bp Quantity.
    `void` | `setBPQuantity(java.lang.String strBPQuantity)` Set the Bp Quantity.
    `void` | `setBPTransfusionAdministrator(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Bp Transfusion Administrator.
    `void` | `setBPTransfusionAdministrator(XCN objbpAdministrator)` Set the Bp Transfusion Administrator.
    `void` | `setBPTransfusionDispositionStatus(CWE objbpTransfusionDispositionStatus)` Set the Bp Transfusion Disposition Status.
    `void` | `setBPTransfusionDispositionStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Bp Transfusion Disposition Status.
    `void` | `setBPTransfusionEndDTofStatus(DTM objbpTransfusionEndDTofStatus)` Set the Bp Transfusion End DT of Status.
    `void` | `setBPTransfusionEndDTofStatus(java.lang.String strTime)` Set the Bp Transfusion End DT of Status.
    `void` | `setBPTransfusionInterruptedReason(CWE objbpTransfusionInterruptedReason)` Set the Bp Transfusion Interrupted Reason.
    `void` | `setBPTransfusionInterruptedReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Bp Transfusion Interrupted Reason.
    `void` | `setBPTransfusionStartDTofStatus(DTM objbpTransfusionStartDTofStatus)` Set the Bp Transfusion Start DT of Status.
    `void` | `setBPTransfusionStartDTofStatus(java.lang.String strTime)` Set the Bp Transfusion Start DT of Status.
    `void` | `setBPTransfusionVerifier(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Bp Transfusion Verifier.
    `void` | `setBPTransfusionVerifier(XCN objbpVerifier)` Set the Bp Transfusion Verifier.
    `void` | `setBPUniqueID(EI objcpLotNumber)` Set the BP Unique ID.
    `void` | `setBPUniqueID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the BP Unique ID.
    `void` | `setBPUnits(CWE objbpUnits)` Set the Bp Units.
    `void` | `setBPUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Bp Units.
    `void` | `setCPCommercialProduct(CWE objcpCommercialProduct)` Set the Cp Commercial Product This field identify a commercial product.
    `void` | `setCPCommercialProduct(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Cp Commercial Product This field identify a commercial product.
    `void` | `setCPLotNumber(EI objcpLotNumber)` Set the Cp Lot Number.
    `void` | `setCPLotNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Cp Lot Number.
    `void` | `setCPManufacturer(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Cp Manufacturer.
    `void` | `setCPManufacturer(XON objcpManufacturer)` Set the Cp Manufacturer.
    `void` | `setSetID_BTX(SI objsetID_BTX)` Set the Set ID BTX.
    `void` | `setSetID_BTX(java.lang.String strSetID_BTX)` Set the Set ID BTX.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BTX

          public BTX()

      Constructs the BTX segment.

  - ### Method Detail

    - #### getBcBloodGroup

          public CNE getBcBloodGroup()

      Retrieves the Bc Blood Group. This field specify the ABO/Rh blood group of the blood component.
      Returns:
        CNE - bcBloodGroup

    - #### getBcComponent

          public CNE getBcComponent()

      Retrieves the Bc Component. This field includes an identifier and description of the specific blood component.
      Returns:
        CNE - bcComponent

    - #### getBcDonationID

          public EI getBcDonationID()

      Retrieves the Bc Donation ID This field specify the unique identification number assigned to a blood donation.
      Returns:
        EI - bcDonationID

    - #### getBpTransfusionAdministrator

          public XCN getBpTransfusionAdministrator()

      Retrieves the Bp Transfusion Administrator. This field contains the identity of the individual who administers the transfusion of the blood product.
      Returns:
        XCN - bpAdministrator Bp Transfusion Administrator

    - #### getBpAdverseReactionType

          public ISingleCollection<CWE> getBpAdverseReactionType()

      Retrieves the Bp Adverse Reaction Type. This field contains the type of adverse reaction that the recipient of the blood product experienced.
      Returns:
        ISingleCollection - bpAdverseReactionType

    - #### getBpAmount

          public NM getBpAmount()

      Retrieves the Bp Amount. This field contains the amount (volume) associated with each blood component or commercial product.
      Returns:
        NM - bpAmount

    - #### getBpDateTimeOfStatus

          public DTM getBpDateTimeOfStatus()

      Retrieves the Bp Date Time Of Status. This field indicates the date and time that the status of the blood component is changed.
      Returns:
        DTM - bpDateTimeOfStatus

    - #### getBpMessageStatus

          public ID getBpMessageStatus()

      Retrieves the BP Message Status.
      Returns:
        ID - bpMessageStatus

    - #### getBpQuantity

          public NM getBpQuantity()

      Retrieves the Bp Quantity. This field indicates the number of blood components or commercial products to which the message refers.
      Returns:
        NM - bpQuantity

    - #### getBpTransfusionDispositionStatus

          public CWE getBpTransfusionDispositionStatus()

      Retrieves the Bp Transfusion Disposition Status. This field indicates the current status of the specified blood product as indicated by the placer.
      Returns:
        CWE - bpTransfusionDispositionStatus

    - #### getBpTransfusionEndDTofStatus

          public DTM getBpTransfusionEndDTofStatus()

      Retrieves the Bp Transfusion End DT of Status. This field indicates the date and time that the transfusion of the blood component or commercial product is complete or stop.
      Returns:
        DTM - bpTransfusionEndDTofStatus

    - #### getBpTransfusionInterruptedReason

          public CWE getBpTransfusionInterruptedReason()

      Retrieves the Bp Transfusion Interrupted Reason. This field contains the reason that the transfusion of the blood product is interrupt.
      Returns:
        CWE - bpTransfusionInterruptedReason

    - #### getBpTransfusionStartDTofStatus

          public DTM getBpTransfusionStartDTofStatus()

      Retrieves the Bp Transfusion Start DT of Status. This field indicates the date and time that the administrator start the transfusion of the blood component or commercial product.
      Returns:
        DTM - bpTransfusionStartDTofStatus

    - #### getBpUnits

          public CWE getBpUnits()

      Retrieves the Bp Units. This field contains the units of measure for the blood component or commercial product amount.
      Returns:
        CWE - bpUnits

    - #### getBpTransfusionVerifier

          public XCN getBpTransfusionVerifier()

      Retrieves the Bp Transfusion Verifier. This field specify the identity of the individual who assists in the identification of the patient and verification of the product information prior to transfusion of the blood product.
      Returns:
        XCN - Bp Transfusion Verifier

    - #### getCpCommercialProduct

          public CWE getCpCommercialProduct()

      Retrieves the Cp Commercial Product This field identify a commercial product.
      Returns:
        CWE - cpCommercialProduct

    - #### getCpLotNumber

          public EI getCpLotNumber()

      Retrieves the Cp Lot Number. This field identify the lot number for blood derivatives or commercially supplied items used as accessories to transfusion.
      Returns:
        EI - cpLotNumber

    - #### getCpManufacturer

          public XON getCpManufacturer()

      Retrieves the Cp Manufacturer. This field specify the manufacturer of the commercial product.
      Returns:
        XON - cpManufacturer

    - #### getSetID_BTX

          public SI getSetID_BTX()

      Retrieves the Set ID BTX. This field specify the sequence number for the BTX segment under the related BPO segment.
      Returns:
        SI - setID_BTX

    - #### getBPUniqueID

          public EI getBPUniqueID()

      Retrieves the BP Unique ID. This field is a unique system-generated number assigned to the blood product to which the message is referring. Each time the status is updated, the new message should replace the previous message if the Blood Product Unique ID is the same. If the Blood Product Unique ID is different, it indicates that the status applies to a different blood product.
      Returns:
        EI - BP Unique ID

    - #### setSetID_BTX

          public void setSetID_BTX(java.lang.String strSetID_BTX)

      Set the Set ID BTX. This field specify the sequence number for the BTX segment under the related BPO segment.
      Parameters:
        `strSetID_BTX` - Specifies sequence number for the BTX segment under the related BPO segment.

    - #### setSetID_BTX

          public void setSetID_BTX(SI objsetID_BTX)

      Set the Set ID BTX. This field specify the sequence number for the BTX segment under the related BPO segment.
      Parameters:
        `objsetID_BTX` - boject of Set ID BTX.

    - #### setBCDonationID

          public void setBCDonationID(java.lang.String strEntityIdentifier,
                             java.lang.String strNamespaceId,
                             java.lang.String strUniversalId,
                             java.lang.String strUniversalIdType)

      Set the Bc Donation ID This field specify the unique identification number assigned to a blood donation.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD. Refer to HL7 Table 0301 - Universal ID type for valid values.

    - #### setBCDonationID

          public void setBCDonationID(EI objbcDonationID)

      Set the Bc Donation ID This field specify the unique identification number assigned to a blood donation.
      Parameters:
        `objbcDonationID` - Object of Bc Donation ID.

    - #### setBCComponent

          public void setBCComponent(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionID,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameOfSecondAltenateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Bc Component. This field includes an identifier and description of the specific blood component.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setBCComponent

          public void setBCComponent(CNE objbcComponent)

      Set the Bc Component. This field includes an identifier and description of the specific blood component.
      Parameters:
        `objbcComponent` - object of Bc Component.

    - #### setBCBloodGroup

          public void setBCBloodGroup(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionID,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameOfSecondAltenateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Bc Blood Group. This field specify the ABO/Rh blood group of the blood component.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setBCBloodGroup

          public void setBCBloodGroup(CNE objbcBloodGroup)

      Set the Bc Blood Group. This field specify the ABO/Rh blood group of the blood component.
      Parameters:
        `objbcBloodGroup` - Object of Bc Blood Group.

    - #### setCPCommercialProduct

          public void setCPCommercialProduct(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Cp Commercial Product This field identify a commercial product.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCPCommercialProduct

          public void setCPCommercialProduct(CWE objcpCommercialProduct)

      Set the Cp Commercial Product This field identify a commercial product.
      Parameters:
        `objcpCommercialProduct` - Object of Cp Commercial Product.

    - #### setCPManufacturer

          public void setCPManufacturer(java.lang.String strOrganizationName,
                               CWE objOrganizationNameTypeCode,
                               HD objAssigningAuthority,
                               java.lang.String strIdentifierTypeCode,
                               HD objAssigningFacility,
                               java.lang.String strNameRepresentationCode,
                               java.lang.String strOrganizationIdentifier)

      Set the Cp Manufacturer. This field specify the manufacturer of the commercial product.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setCPManufacturer

          public void setCPManufacturer(XON objcpManufacturer)

      Set the Cp Manufacturer. This field specify the manufacturer of the commercial product.
      Parameters:
        `objcpManufacturer` - Object of Cp Manufacturer.

    - #### setCPLotNumber

          public void setCPLotNumber(java.lang.String strEntityIdentifier,
                            java.lang.String strNamespaceId,
                            java.lang.String strUniversalId,
                            java.lang.String strUniversalIdType)

      Set the Cp Lot Number. This field identify the lot number for blood derivatives or commercially supplied items used as accessories to transfusion.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD. Refer to HL7 Table 0301 - Universal ID type for valid values.

    - #### setCPLotNumber

          public void setCPLotNumber(EI objcpLotNumber)

      Set the Cp Lot Number. This field identify the lot number for blood derivatives or commercially supplied items used as accessories to transfusion.
      Parameters:
        `objcpLotNumber` - object of Cp Lot Number.

    - #### setBPQuantity

          public void setBPQuantity(java.lang.String strBPQuantity)

      Set the Bp Quantity. This field indicates the number of blood components or commercial products to which the message refers.
      Parameters:
        `strBPQuantity` - Specifies number of blood components or commercial products to which the message refers.

    - #### setBPQuantity

          public void setBPQuantity(NM objbpQuantity)

      Set the Bp Quantity. This field indicates the number of blood components or commercial products to which the message refers.
      Parameters:
        `objbpQuantity` - Object of Bp Quantity.

    - #### setBPAmount

          public void setBPAmount(java.lang.String strBPAmount)

      Set the Bp Amount. This field contains the amount (volume) associated with each blood component or commercial product.
      Parameters:
        `strBPAmount` - Specifes the amount(volume) associated with each blood component or commercial product.

    - #### setBPAmount

          public void setBPAmount(NM objbpAmount)

      Set the Bp Amount. This field contains the amount (volume) associated with each blood component or commercial product.
      Parameters:
        `objbpAmount` - Object of Bp Amount.

    - #### setBPUnits

          public void setBPUnits(java.lang.String strIdentifier,
                        java.lang.String strText,
                        java.lang.String strNameOfCodingSystem,
                        java.lang.String strAlternateIdentifier,
                        java.lang.String strAlternateText,
                        java.lang.String strNameOfAlternateCodingSystem,
                        java.lang.String strCodingSystemVersionID,
                        java.lang.String strAlternateCodingSystemVersionId,
                        java.lang.String strOriginalText,
                        java.lang.String strSecondAlternateIdentifier,
                        java.lang.String strSecondAlternateText,
                        java.lang.String strNameofSecondAlternateCodingSystem,
                        java.lang.String strSecondAlternateCodingSystemVersionID,
                        java.lang.String strCodingSystemOID,
                        java.lang.String strValueSetOID,
                        java.lang.String strValueSetVersionID,
                        java.lang.String strAlternateCodingSystemOID,
                        java.lang.String strAlternateValueSetOID,
                        java.lang.String strAlternateValueSetVersionID,
                        java.lang.String strSecondAlternateCodingSystemOID,
                        java.lang.String strSecondAlternateValueSetOID,
                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Bp Units. This field contains the units of measure for the blood component or commercial product amount.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setBPUnits

          public void setBPUnits(CWE objbpUnits)

      Set the Bp Units. This field contains the units of measure for the blood component or commercial product amount.
      Parameters:
        `objbpUnits` - Object of Bp Units.

    - #### setBPTransfusionDispositionStatus

          public void setBPTransfusionDispositionStatus(java.lang.String strIdentifier,
                                               java.lang.String strText,
                                               java.lang.String strNameOfCodingSystem,
                                               java.lang.String strAlternateIdentifier,
                                               java.lang.String strAlternateText,
                                               java.lang.String strNameOfAlternateCodingSystem,
                                               java.lang.String strCodingSystemVersionID,
                                               java.lang.String strAlternateCodingSystemVersionId,
                                               java.lang.String strOriginalText,
                                               java.lang.String strSecondAlternateIdentifier,
                                               java.lang.String strSecondAlternateText,
                                               java.lang.String strNameofSecondAlternateCodingSystem,
                                               java.lang.String strSecondAlternateCodingSystemVersionID,
                                               java.lang.String strCodingSystemOID,
                                               java.lang.String strValueSetOID,
                                               java.lang.String strValueSetVersionID,
                                               java.lang.String strAlternateCodingSystemOID,
                                               java.lang.String strAlternateValueSetOID,
                                               java.lang.String strAlternateValueSetVersionID,
                                               java.lang.String strSecondAlternateCodingSystemOID,
                                               java.lang.String strSecondAlternateValueSetOID,
                                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Bp Transfusion Disposition Status. This field indicates the current status of the specified blood product as indicated by the placer.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setBPTransfusionDispositionStatus

          public void setBPTransfusionDispositionStatus(CWE objbpTransfusionDispositionStatus)

      Set the Bp Transfusion Disposition Status. This field indicates the current status of the specified blood product as indicated by the placer.
      Parameters:
        `objbpTransfusionDispositionStatus` - Object of Bp Transfusion Disposition Status.

    - #### setBPMessageStatus

          public void setBPMessageStatus(java.lang.String strBPMessageStatus)

      Set the BP Message Status.
      Parameters:
        `strBPMessageStatus` - Refer to HL7 Table 0511 - BP Observation Status Codes Interpretation for valid entries.

    - #### setBPMessageStatus

          public void setBPMessageStatus(ID objbpMessageStatus)

      Set the BP Message Status.
      Parameters:
        `objbpMessageStatus` - Object of BP Message Status.

    - #### setBPDateTimeOfStatus

          public void setBPDateTimeOfStatus(java.lang.String strTime)

      Set the Bp Date Time Of Status. This field indicates the date and time that the status of the blood component is changed.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setBPDateTimeOfStatus

          public void setBPDateTimeOfStatus(DTM objbpDateTimeOfStatus)

      Set the Bp Date Time Of Status. This field indicates the date and time that the status of the blood component is changed.
      Parameters:
        `objbpDateTimeOfStatus` - Object of Bp Date Time Of Status.

    - #### setBPTransfusionAdministrator

          public void setBPTransfusionAdministrator(java.lang.String strIDNumber,
                                           FN objFamilyName,
                                           java.lang.String strGivenName,
                                           java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                           java.lang.String strSuffix,
                                           java.lang.String strPrefix,
                                           CWE objSourceTable,
                                           HD objAssigningAuthority,
                                           java.lang.String strNameTypeCode,
                                           java.lang.String strIdentifierCheckDigit,
                                           java.lang.String strCheckDigitScheme,
                                           java.lang.String strIdentifierTypeCode,
                                           HD objAssigningFacility,
                                           java.lang.String strNameRepresentationCode,
                                           CWE objNameContext,
                                           java.lang.String strNameAssemblyOrder,
                                           java.lang.String strEffectiveDate,
                                           java.lang.String strExpirationDate,
                                           java.lang.String strProfessionalSuffix,
                                           CWE objAssigningJurisdiction,
                                           CWE objAssigningAgencyOrDepratment,
                                           java.lang.String strSecurityCheck,
                                           java.lang.String strSecurityCheckScheme)

      Set the Bp Transfusion Administrator. This field contains the identity of the individual who administers the transfusion of the blood product.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setBPTransfusionAdministrator

          public void setBPTransfusionAdministrator(XCN objbpAdministrator)

      Set the Bp Transfusion Administrator. This field contains the identity of the individual who administers the transfusion of the blood product.
      Parameters:
        `objbpAdministrator` - Object of Bp Transfusion Administrator.

    - #### setBPTransfusionVerifier

          public void setBPTransfusionVerifier(java.lang.String strIDNumber,
                                      FN objFamilyName,
                                      java.lang.String strGivenName,
                                      java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                      java.lang.String strSuffix,
                                      java.lang.String strPrefix,
                                      CWE objSourceTable,
                                      HD objAssigningAuthority,
                                      java.lang.String strNameTypeCode,
                                      java.lang.String strIdentifierCheckDigit,
                                      java.lang.String strCheckDigitScheme,
                                      java.lang.String strIdentifierTypeCode,
                                      HD objAssigningFacility,
                                      java.lang.String strNameRepresentationCode,
                                      CWE objNameContext,
                                      java.lang.String strNameAssemblyOrder,
                                      java.lang.String strEffectiveDate,
                                      java.lang.String strExpirationDate,
                                      java.lang.String strProfessionalSuffix,
                                      CWE objAssigningJurisdiction,
                                      CWE objAssigningAgencyOrDepratment,
                                      java.lang.String strSecurityCheck,
                                      java.lang.String strSecurityCheckScheme)

      Set the Bp Transfusion Verifier. This field specify the identity of the individual who assists in the identification of the patient and verification of the product information prior to transfusion of the blood product.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setBPTransfusionVerifier

          public void setBPTransfusionVerifier(XCN objbpVerifier)

      Set the Bp Transfusion Verifier. This field specify the identity of the individual who assists in the identification of the patient and verification of the product information prior to transfusion of the blood product.
      Parameters:
        `objbpVerifier` - Object of Bp Transfusion Verifier.

    - #### setBPTransfusionStartDTofStatus

          public void setBPTransfusionStartDTofStatus(java.lang.String strTime)

      Set the Bp Transfusion Start DT of Status. This field indicates the date and time that the administrator start the transfusion of the blood component or commercial product.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setBPTransfusionStartDTofStatus

          public void setBPTransfusionStartDTofStatus(DTM objbpTransfusionStartDTofStatus)

      Set the Bp Transfusion Start DT of Status. This field indicates the date and time that the administrator start the transfusion of the blood component or commercial product.
      Parameters:
        `objbpTransfusionStartDTofStatus` - Object of Bp Transfusion Start DT of Status.

    - #### setBPTransfusionEndDTofStatus

          public void setBPTransfusionEndDTofStatus(java.lang.String strTime)

      Set the Bp Transfusion End DT of Status. This field indicates the date and time that the transfusion of the blood component or commercial product is complete or stop.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setBPTransfusionEndDTofStatus

          public void setBPTransfusionEndDTofStatus(DTM objbpTransfusionEndDTofStatus)

      Set the Bp Transfusion End DT of Status. This field indicates the date and time that the transfusion of the blood component or commercial product is complete or stop.
      Parameters:
        `objbpTransfusionEndDTofStatus` - object of Bp Transfusion End DT of Status.

    - #### addBPAdverseReactionType

          public void addBPAdverseReactionType(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Add the Bp Adverse Reaction Type. This field contains the type of adverse reaction that the recipient of the blood product experienced.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addBPAdverseReactionType

          public void addBPAdverseReactionType(CWE objbpAdverseReactionType)

      Add the Bp Adverse Reaction Type. This field contains the type of adverse reaction that the recipient of the blood product experienced.
      Parameters:
        `objbpAdverseReactionType` - Object of Bp Adverse Reaction Type.

    - #### setBPAdverseReactionType

          public void setBPAdverseReactionType(ISingleCollection<CWE> objbpAdverseReactionTypeList)

      Set the Bp Adverse Reaction Type. This field contains the type of adverse reaction that the recipient of the blood product experienced.
      Parameters:
        `objbpAdverseReactionTypeList` - List of Bp Adverse Reaction Type.

    - #### setBPTransfusionInterruptedReason

          public void setBPTransfusionInterruptedReason(java.lang.String strIdentifier,
                                               java.lang.String strText,
                                               java.lang.String strNameOfCodingSystem,
                                               java.lang.String strAlternateIdentifier,
                                               java.lang.String strAlternateText,
                                               java.lang.String strNameOfAlternateCodingSystem,
                                               java.lang.String strCodingSystemVersionID,
                                               java.lang.String strAlternateCodingSystemVersionId,
                                               java.lang.String strOriginalText,
                                               java.lang.String strSecondAlternateIdentifier,
                                               java.lang.String strSecondAlternateText,
                                               java.lang.String strNameofSecondAlternateCodingSystem,
                                               java.lang.String strSecondAlternateCodingSystemVersionID,
                                               java.lang.String strCodingSystemOID,
                                               java.lang.String strValueSetOID,
                                               java.lang.String strValueSetVersionID,
                                               java.lang.String strAlternateCodingSystemOID,
                                               java.lang.String strAlternateValueSetOID,
                                               java.lang.String strAlternateValueSetVersionID,
                                               java.lang.String strSecondAlternateCodingSystemOID,
                                               java.lang.String strSecondAlternateValueSetOID,
                                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Bp Transfusion Interrupted Reason. This field contains the reason that the transfusion of the blood product is interrupt.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setBPTransfusionInterruptedReason

          public void setBPTransfusionInterruptedReason(CWE objbpTransfusionInterruptedReason)

      Set the Bp Transfusion Interrupted Reason. This field contains the reason that the transfusion of the blood product is interrupt.
      Parameters:
        `objbpTransfusionInterruptedReason` - Object of Bp Transfusion Interrupted Reason.

    - #### setBPUniqueID

          public void setBPUniqueID(java.lang.String strEntityIdentifier,
                           java.lang.String strNamespaceId,
                           java.lang.String strUniversalId,
                           java.lang.String strUniversalIdType)

      Set the BP Unique ID. This field is a unique system-generated number assigned to the blood product to which the message is referring. Each time the status is updated, the new message should replace the previous message if the Blood Product Unique ID is the same. If the Blood Product Unique ID is different, it indicates that the status applies to a different blood product.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD. Refer to HL7 Table 0301 - Universal ID type for valid values.

    - #### setBPUniqueID

          public void setBPUniqueID(EI objcpLotNumber)

      Set the BP Unique ID. This field is a unique system-generated number assigned to the blood product to which the message is referring. Each time the status is updated, the new message should replace the previous message if the Blood Product Unique ID is the same. If the Blood Product Unique ID is different, it indicates that the status applies to a different blood product.
      Parameters:
        `objcpLotNumber` - object of Cp Lot Number.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Segment Validation Fails.